interactions:
- request:
    body: !!binary |
[encoded data, 78253 characters]
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: [Bearer __MASTODON_PY_TEST_ACCESS_TOKEN]
      Connection: [keep-alive]
      Content-Length: ['53737']
      Content-Type: [multipart/form-data; boundary=8b4c409509374f699282a3ef4a268a06]
      User-Agent: [python-requests/2.9.1]
    method: POST
    uri: http://localhost:3000/api/v1/media
  response:
    body: {string: '{"id":"2","type":"image","url":"http://localhost:3000/system/media_attachments/files/000/000/002/original/df43bb5e8c39a766.jpg","preview_url":"http://localhost:3000/system/media_attachments/files/000/000/002/small/df43bb5e8c39a766.jpg","remote_url":null,"text_url":"http://localhost:3000/media/Mo_xlrGjDMgwlOc3Uq8","meta":{"focus":{"x":-0.5,"y":0.3},"original":{"width":600,"height":600,"size":"600x600","aspect":1.0},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0}},"description":"John
        Lennon doing a funny walk"}'}
    headers:
      Cache-Control: ['max-age=0, private, must-revalidate']
      Content-Type: [application/json; charset=utf-8]
      ETag: [W/"369a6fee9e01ccf86536cf2f31c90edc"]
      Referrer-Policy: [strict-origin-when-cross-origin]
      Transfer-Encoding: [chunked]
      Vary: ['Accept-Encoding, Origin']
      X-Content-Type-Options: [nosniff]
      X-Download-Options: [noopen]
      X-Frame-Options: [SAMEORIGIN]
      X-Permitted-Cross-Domain-Policies: [none]
      X-Request-Id: [87cc2280-1cf3-49f9-8e36-c0f5cc1fc40f]
      X-Runtime: ['0.450433']
      X-XSS-Protection: [1; mode=block]
      content-length: ['531']
    status: {code: 200, message: OK}
- request:
    body: sensitive=True&status=LOL+check+this+out&media_ids%5B%5D=2
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: [Bearer __MASTODON_PY_TEST_ACCESS_TOKEN]
      Connection: [keep-alive]
      Content-Length: ['58']
      Content-Type: [application/x-www-form-urlencoded]
      User-Agent: [python-requests/2.9.1]
    method: POST
    uri: http://localhost:3000/api/v1/statuses
  response:
    body: {string: '{"id":"100154006056668334","created_at":"2018-06-05T20:00:52.232Z","in_reply_to_id":null,"in_reply_to_account_id":null,"sensitive":true,"spoiler_text":"","visibility":"public","language":"en","uri":"http://localhost:3000/users/mastodonpy_test/statuses/100154006056668334","content":"\u003cp\u003eLOL
        check this out\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test/100154006056668334","reblogs_count":0,"favourites_count":0,"favourited":false,"reblogged":false,"muted":false,"pinned":false,"reblog":null,"application":{"name":"Mastodon.py
        test suite","website":null},"account":{"id":"1234567890123456","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"created_at":"2018-06-05T21:58:43.069Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/123/456/789/012/345/original/mastodonpyupload_.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/123/456/789/012/345/original/mastodonpyupload_.jpg","header":"http://localhost:3000/system/accounts/headers/123/456/789/012/345/original/mastodonpyupload_.jpg","header_static":"http://localhost:3000/system/accounts/headers/123/456/789/012/345/original/mastodonpyupload_.jpg","followers_count":0,"following_count":1,"statuses_count":4,"emojis":[],"fields":[{"name":"bread","value":"toasty."},{"name":"lasagna","value":"no!!!"}]},"media_attachments":[{"id":"2","type":"image","url":"http://localhost:3000/system/media_attachments/files/000/000/002/original/df43bb5e8c39a766.jpg","preview_url":"http://localhost:3000/system/media_attachments/files/000/000/002/small/df43bb5e8c39a766.jpg","remote_url":null,"text_url":"http://localhost:3000/media/Mo_xlrGjDMgwlOc3Uq8","meta":{"focus":{"x":-0.5,"y":0.3},"original":{"width":600,"height":600,"size":"600x600","aspect":1.0},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0}},"description":"John
        Lennon doing a funny walk"}],"mentions":[],"tags":[],"emojis":[]}'}
    headers:
      Cache-Control: ['max-age=0, private, must-revalidate']
      Content-Type: [application/json; charset=utf-8]
      ETag: [W/"02983033d7a365ef089710ec09275ed5"]
      Referrer-Policy: [strict-origin-when-cross-origin]
      Transfer-Encoding: [chunked]
      Vary: ['Accept-Encoding, Origin']
      X-Content-Type-Options: [nosniff]
      X-Download-Options: [noopen]
      X-Frame-Options: [SAMEORIGIN]
      X-Permitted-Cross-Domain-Policies: [none]
      X-Request-Id: [0b29e266-dc73-4659-9f03-b2bac055d499]
      X-Runtime: ['0.295518']
      X-XSS-Protection: [1; mode=block]
      content-length: ['2047']
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: [Bearer __MASTODON_PY_TEST_ACCESS_TOKEN]
      Connection: [keep-alive]
      Content-Length: ['0']
      User-Agent: [python-requests/2.9.1]
    method: DELETE
    uri: http://localhost:3000/api/v1/statuses/100154006056668334
  response:
    body: {string: '{}'}
    headers:
      Cache-Control: ['max-age=0, private, must-revalidate']
      Content-Type: [application/json; charset=utf-8]
      ETag: [W/"8781ff947e5a28c85a2a037fedc85ba7"]
      Referrer-Policy: [strict-origin-when-cross-origin]
      Transfer-Encoding: [chunked]
      Vary: ['Accept-Encoding, Origin']
      X-Content-Type-Options: [nosniff]
      X-Download-Options: [noopen]
      X-Frame-Options: [SAMEORIGIN]
      X-Permitted-Cross-Domain-Policies: [none]
      X-Request-Id: [4902ba13-92e2-48f0-88a2-f779e56361d2]
      X-Runtime: ['0.129599']
      X-XSS-Protection: [1; mode=block]
      content-length: ['2']
    status: {code: 200, message: OK}
version: 1
